%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-zeroconf
Version:       0.62.0
Release:       1mamba
Summary:       Multicast DNS Service Discovery for Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/python-zeroconf/python-zeroconf
Source:        https://pypi.debian.net/zeroconf/zeroconf-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(async-timeout)
BuildRequires: python3.7dist(ifaddr)
## AUTOBUILDREQ-END
BuildRequires: libpython-devel

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n zeroconf-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*
#%doc COPYING

%changelog
* Thu May 04 2023 Automatic Build System <autodist@mambasoft.it> 0.62.0-1mamba
- automatic version update by autodist

* Tue May 02 2023 Automatic Build System <autodist@mambasoft.it> 0.60.0-1mamba
- automatic version update by autodist

* Wed Apr 26 2023 Automatic Build System <autodist@mambasoft.it> 0.58.2-1mamba
- automatic version update by autodist

* Wed Apr 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.55.0-2mamba
- rebuilt with python 3.10

* Fri Apr 07 2023 Automatic Build System <autodist@mambasoft.it> 0.55.0-1mamba
- automatic version update by autodist

* Tue Apr 04 2023 Automatic Build System <autodist@mambasoft.it> 0.54.0-1mamba
- automatic version update by autodist

* Mon Apr 03 2023 Automatic Build System <autodist@mambasoft.it> 0.53.0-1mamba
- automatic version update by autodist

* Sun Apr 02 2023 Automatic Build System <autodist@mambasoft.it> 0.52.0-1mamba
- automatic version update by autodist

* Sun Apr 02 2023 Automatic Build System <autodist@mambasoft.it> 0.51.0-1mamba
- automatic version update by autodist

* Sat Apr 01 2023 Automatic Build System <autodist@mambasoft.it> 0.50.0-1mamba
- automatic version update by autodist

* Mon Mar 20 2023 Automatic Build System <autodist@mambasoft.it> 0.47.4-1mamba
- automatic version update by autodist

* Wed Feb 15 2023 Automatic Build System <autodist@mambasoft.it> 0.47.3-1mamba
- automatic version update by autodist

* Sat Dec 24 2022 Automatic Build System <autodist@mambasoft.it> 0.47.1-1mamba
- automatic version update by autodist

* Thu Dec 22 2022 Automatic Build System <autodist@mambasoft.it> 0.47.0-1mamba
- automatic version update by autodist

* Thu Dec 22 2022 Automatic Build System <autodist@mambasoft.it> 0.45.0-1mamba
- automatic version update by autodist

* Tue Dec 20 2022 Automatic Build System <autodist@mambasoft.it> 0.44.0-1mamba
- automatic version update by autodist

* Tue Nov 01 2022 Automatic Build System <autodist@mambasoft.it> 0.39.4-1mamba
- automatic version update by autodist

* Thu Oct 27 2022 Automatic Build System <autodist@mambasoft.it> 0.39.3-1mamba
- automatic version update by autodist

* Fri Oct 21 2022 Automatic Build System <autodist@mambasoft.it> 0.39.2-1mamba
- automatic version update by autodist

* Tue Sep 06 2022 Automatic Build System <autodist@mambasoft.it> 0.39.1-1mamba
- automatic version update by autodist

* Sat Aug 06 2022 Automatic Build System <autodist@mambasoft.it> 0.39.0-1mamba
- automatic version update by autodist

* Thu Jun 16 2022 Automatic Build System <autodist@mambasoft.it> 0.38.7-1mamba
- automatic version update by autodist

* Sat May 07 2022 Automatic Build System <autodist@mambasoft.it> 0.38.6-1mamba
- automatic version update by autodist

* Mon May 02 2022 Automatic Build System <autodist@mambasoft.it> 0.38.5-1mamba
- automatic version update by autodist

* Wed Mar 02 2022 Automatic Build System <autodist@mambasoft.it> 0.38.4-1mamba
- automatic version update by autodist

* Tue Feb 01 2022 Automatic Build System <autodist@mambasoft.it> 0.38.3-1mamba
- automatic version update by autodist

* Fri Dec 24 2021 Automatic Build System <autodist@mambasoft.it> 0.38.1-1mamba
- automatic version update by autodist

* Fri Nov 19 2021 Automatic Build System <autodist@mambasoft.it> 0.37.0-1mamba
- automatic version update by autodist

* Sun Nov 14 2021 Automatic Build System <autodist@mambasoft.it> 0.36.13-1mamba
- automatic version update by autodist

* Fri Nov 05 2021 Automatic Build System <autodist@mambasoft.it> 0.36.12-1mamba
- automatic version update by autodist

* Sun Oct 31 2021 Automatic Build System <autodist@mambasoft.it> 0.36.11-1mamba
- automatic version update by autodist

* Sun Oct 24 2021 Automatic Build System <autodist@mambasoft.it> 0.36.9-1mamba
- automatic version update by autodist

* Mon Oct 11 2021 Automatic Build System <autodist@mambasoft.it> 0.36.8-1mamba
- automatic version update by autodist

* Thu Sep 23 2021 Automatic Build System <autodist@mambasoft.it> 0.36.7-1mamba
- automatic version update by autodist

* Mon Sep 20 2021 Automatic Build System <autodist@mambasoft.it> 0.36.6-1mamba
- automatic version update by autodist

* Sun Sep 19 2021 Automatic Build System <autodist@mambasoft.it> 0.36.5-1mamba
- automatic version update by autodist

* Fri Sep 17 2021 Automatic Build System <autodist@mambasoft.it> 0.36.4-1mamba
- automatic version update by autodist

* Wed Sep 15 2021 Automatic Build System <autodist@mambasoft.it> 0.36.3-1mamba
- automatic version update by autodist

* Tue Aug 31 2021 Automatic Build System <autodist@mambasoft.it> 0.36.2-1mamba
- automatic version update by autodist

* Mon Aug 30 2021 Automatic Build System <autodist@mambasoft.it> 0.36.1-1mamba
- automatic version update by autodist

* Tue Aug 17 2021 Automatic Build System <autodist@mambasoft.it> 0.36.0-1mamba
- automatic version update by autodist

* Tue Aug 17 2021 Automatic Build System <autodist@mambasoft.it> 0.35.1-1mamba
- automatic version update by autodist

* Sat Aug 14 2021 Automatic Build System <autodist@mambasoft.it> 0.35.0-1mamba
- automatic version update by autodist

* Mon Aug 09 2021 Automatic Build System <autodist@mambasoft.it> 0.34.3-1mamba
- automatic version update by autodist

* Mon Aug 09 2021 Automatic Build System <autodist@mambasoft.it> 0.34.0-1mamba
- automatic version update by autodist

* Sat Aug 07 2021 Automatic Build System <autodist@mambasoft.it> 0.33.4-1mamba
- automatic version update by autodist

* Fri Aug 06 2021 Automatic Build System <autodist@mambasoft.it> 0.33.3-1mamba
- automatic version update by autodist

* Thu Jul 29 2021 Automatic Build System <autodist@mambasoft.it> 0.33.2-1mamba
- automatic version update by autodist

* Mon Jul 19 2021 Automatic Build System <autodist@mambasoft.it> 0.33.1-1mamba
- automatic version update by autodist

* Mon Jul 05 2021 Automatic Build System <autodist@mambasoft.it> 0.32.1-1mamba
- automatic version update by autodist

* Wed Jun 30 2021 Automatic Build System <autodist@mambasoft.it> 0.32.0-1mamba
- automatic version update by autodist

* Tue May 18 2021 Automatic Build System <autodist@mambasoft.it> 0.31.0-1mamba
- automatic version update by autodist

* Thu May 06 2021 Automatic Build System <autodist@mambasoft.it> 0.30.0-1mamba
- automatic version update by autodist

* Thu Mar 25 2021 Automatic Build System <autodist@mambasoft.it> 0.29.0-1mamba
- automatic version update by autodist

* Thu Feb 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.28.8-1mamba
- package created using the webbuild interface
